import 'package:comunic/utils/bbcode_parser.dart';
import 'package:flutter/material.dart';

/// Text widget
///
/// The content passed to this widget is automatically parsed
///
/// @author Pierre Hubert

class TextWidget extends StatelessWidget {
  final String content;

  const TextWidget({Key key, @required this.content})
      : assert(content != null),
        super(key: key);

  @override
  Widget build(BuildContext context) {
    return BBCodeParsedWidget(text: content);
  }
}
